## org.apache.ivy.core.check
Class CheckEngine

    java.lang.Object
      org.apache.ivy.core.check.CheckEngine

    public class CheckEngine

extends java.lang.Object

Constructor Summary
`CheckEngine(CheckEngineSettings settings, ResolveEngine resolveEngine)`

Method Summary
`boolean` `check(java.net.URL ivyFile, java.lang.String resolvername)` Checks the given ivy file using current settings to see if all dependencies are available, with good confs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckEngine

    public CheckEngine(CheckEngineSettings settings,
                       ResolveEngine resolveEngine)

Method Detail

### check

    public boolean check(java.net.URL ivyFile,
                         java.lang.String resolvername)

  Checks the given ivy file using current settings to see if all dependencies are available, with good confs. If a resolver name is given, it also checks that the declared publications are available in the corresponding resolver. Note that the check is not performed recursively, i.e. if a dependency has itself dependencies badly described or not available, this check will not discover it.